| Object type: tag | |
|---|---|
| Tag objects define strings that can be used to annotate other objects, particularly Event objects. | |
| Field | Description |
| collectormgrs | A list of references to Collector Managers that will add this tag to events reported by each Collector controlled by the managers. |
| createdate | The date and time when the object was created. |
| creator | The URL of the Sentinel User object that represents the creator of the object. |
| desc | A short description of the tag's purpose and origin. |
| event-sources | A list of references to Event Sources that will add this tag to events reported by each Event Source. |
| event-source-servers | A list of references to Event Source Servers that will add this tag to events reported by each Event Source reporting to the servers. |
| global-filters | A list of references to Routing Rules that will add this tag to events routed by each rule. |
| meta | The metadata for an object, including the object type name and the URL reference to the object. Definition |
| moddate | The date and time when the object was last modified. |
| modifier | The URL of the Sentinel User object that represents the last modifier of the object. |
| name | The string value that is the tag used to annotate other objects. |
| plugins | A list of references to Collector plugins that will add this tag to events reported by each Collector. |
| Object type: meta | |
|---|---|
| The metadata for an object, including the object type name and the URL reference to the object. | |
| Field | Description |
| @href | The URL reference to the object. |
| type | The name of the object type |
GET https://164.99.19.131:8443/SentinelRESTServices/objects/tag/PCI
{
"meta":{
"type":"tag",
"@href":"https://164.99.19.131:8443/SentinelRESTServices/objects/tag/PCI"
},
"moddate":"2012-04-25T13:33:44.600Z",
"desc":"A tag for data related to the Payment Card Industry's Data Security Standard (PCI DSS).",
"name":"PCI",
"createdate":"2012-04-25T13:33:44.600Z",
"event-source-servers":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/event-source-server/79600390-9B73-102E-A3E2-001676E4A757"
],
"global-filters":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/global-filter/79600390-9B73-102E-A3E2-001676E4A757"
],
"plugins":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/plugin/79600390-9B73-102E-A3E2-001676E4A757"
],
"collectormgrs":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/collectormgr/79600390-9B73-102E-A3E2-001676E4A757"
],
"event-sources":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/eventsource/79600390-9B73-102E-A3E2-001676E4A757"
]
}
| Object type: tag | ||
|---|---|---|
| Tag objects define strings that can be used to annotate other objects, particularly Event objects. | ||
| Field | Required | Description |
| collectormgrs | false | A list of references to Collector Managers that will add this tag to events reported by each Collector controlled by the managers. |
| desc | false | A short description of the tag's purpose and origin. |
| event-sources | false | A list of references to Event Sources that will add this tag to events reported by each Event Source. |
| event-source-servers | false | A list of references to Event Source Servers that will add this tag to events reported by each Event Source reporting to the servers. |
| global-filters | false | A list of references to Routing Rules that will add this tag to events routed by each rule. |
| name | true | The string value that is the tag used to annotate other objects. |
| plugins | false | A list of references to Collector plugins that will add this tag to events reported by each Collector. |
| Object type: meta | ||
|---|---|---|
| The metadata for an object, including the object type name and the URL reference to the object. | ||
| Field | Required | Description |
| @href | false | The URL reference to the object. |
| type | false | The name of the object type |
PUT https://164.99.19.131:8443/SentinelRESTServices/objects/tag/PCI
{
"desc":"A tag for data related to the Payment Card Industry's Data Security Standard (PCI DSS).",
"name":"PCI",
"event-source-servers":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/event-source-server/79600390-9B73-102E-A3E2-001676E4A757"
],
"global-filters":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/global-filter/79600390-9B73-102E-A3E2-001676E4A757"
],
"plugins":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/plugin/79600390-9B73-102E-A3E2-001676E4A757"
],
"collectormgrs":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/collectormgr/79600390-9B73-102E-A3E2-001676E4A757"
],
"event-sources":[
"https://164.99.19.131:8443/SentinelRESTServices/objects/eventsource/79600390-9B73-102E-A3E2-001676E4A757"
]
}
DELETE https://164.99.19.131:8443/SentinelRESTServices/objects/tag/PCI